    //
    //  OrderViewModel.swift
    //  BrokerDriver
    //
    //  Created by 无故事王国 on 2023/4/26.
    //

import Foundation


struct OrderModel:HandyJSON{
    var ccontainerNumber: String = ""
    var end: String = ""
    var orderId: String = ""
    var phone: String = ""
    var pickUpTime: String = ""
    var portName: String = ""
    var start: String = ""
    var status:OrderType = .None
    var type: Int = 0
}

struct OrderDetailModel:HandyJSON {
	var data:OrderDetailDataModel?
	var lonlat = [CoordinateModel]() // 1:起点，2:检查站 ,3:场地，4:终点
}

struct OrderDetailDataModel:HandyJSON {
	var containerNumber: String?
	var eLat: CLLocationDistance = 0
	var eLon: CLLocationDistance = 0
	var lat: CLLocationDistance = 0
	var list = [Dictionary<String,Any>]()
	var lon: CLLocationDistance = 0
	var orderId: String = ""
	var orderType: String = ""
	var status: OrderType = .None
	var nextStatus:OrderType = .None
	var tGoods: OrderDetailGoodsModel?
	var type: Int = 0
	var button:Int = 2
}

struct CoordinateModel:HandyJSON{
	var lon:Double = 0
	var lat:Double = 0
	var type:CoordinateType = .StartPoint
}



struct OrderDetailGoodsModel:HandyJSON {
    var billNumber: String = ""
    var containerNumber: String = ""
    var custRef: String = ""
    var danger: Int = 0
    var entry: String = ""
    var id: Int = 0
    var kg: String = ""
    var orderId: String = ""
    var ourRef: String = ""
    var po: String = ""
    var sb: String = ""
    var shippingLine: String = ""
    var size: String = ""
    var type: String = ""
    var typeClass: String = ""
    var weight: Int = 0

}
